Subject: Re: Announce: ioperm-0.2.1 for cygwin released
From: Randall R Schulz <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 20 Jan 2003 10:42:58 -0800

Marcel et. al.,

At 09:52 2003-01-20, Marcel Telka wrote:
>On Mon, Jan 20, 2003 at 10:05:43AM -0500, Christopher Faylor wrote:
> > On Mon, Jan 20, 2003 at 03:57:35PM +0100, Marcel Telka wrote:
> > >This software adds support for ioperm() function to Cygwin. This support
> > >includes sys/io.h and sys/perm.h header files (not included in Cygwin by
> > >default) together with development and runtime libraries.
> > >
> > >News in this release:
> > > * Windows DDK is optional for compilation now
> > > * --prefix=/usr parameter for ./configure script is not mandatory now
> > >
> > >Homepage: http://openwince.sourceforge.net/ioperm/
> >
> > Is there some reason you're not proposing this as a standard cygwin 
> package?
>
>There are at least two reasons:
>1. A device driver (ioperm.sys) is required for running ioperm with NT/2000/XP
>2. Windows DDK is required for the driver compilation.
>
>If these drawbacks are acceptable for a standard cygwin package I could start
>ioperm integration with mainstream cygwin net distribution.
>
>Any votes? :-)

Regarding (1): Are we ("We" Kemo Sabe?) not crossing a boundary here?

Up to now we've been able to say that Cygwin does not install drivers or 
other kernel-mode software and, the recent "/etc" business notwithstanding, 
have been able to claim that BSODs, hangs and other nastiness cannot be 
blamed on Cygwin.

Will this added capability be optional so those who don't need it and who 
would prefer to avoid the potential instability of added driver software 
(and I emphasize _potential_, not wanting to impugn anyone's programming 
abilities) can avoid it altogether?

Am I being overly cautious? Paranoid?

Stability means a lot to me. My Windows 2K Pro system has been extremely 
reliable since I got my MSI motherboard, and I like it that way!

>CC'ed to [email-masked]
>
>Have a nice day
>
>--
>+-------------------------------------------+
>| Marcel Telka   e-mail:   [email-masked]  |
>|                homepage: http://telka.sk/ |
>|                jabber:   [email-masked] |
>+-------------------------------------------+

Randall Schulz 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/